
%define __libtoolize    /bin/true

%define name	kimdaba
%define version 2.1
%define release	%mkrel 1
%define	Summary	K Image Database

%define major	1
%define libname	%mklibname %{name} %{major}

Summary: 	%{Summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Graphical desktop/KDE
Source0: 	http://ktown.kde.org/kimdaba/download/%{name}-%{version}.tar.bz2

URL: 		http://ktown.kde.org/kimdaba/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %mdkversion >= 920
BuildRequires:  kdelibs-devel >= 3.1 arts-devel >= 1.1 jpeg-devel fam-devel XFree86-devel
BuildRequires:  png-devel libart_lgpl-devel libz-devel libxml2-devel
BuildRequires:  mng-devel autoconf2.5 automake >= 1.6
%else
BuildRequires:	kdelibs-devel >= 3.1 libarts-devel >= 1.1 libjpeg-devel libfam-devel XFree86-devel
BuildRequires:	libpng-devel libart_lgpl2-devel libz-devel libxml2-devel
BuildRequires:	libmng-devel 
%endif

%description
Image database for KDE

%prep
%setup -q

%build
#make -f admin/Makefile.common

# QTDIR is always set to /usr/lib/qt3
export QTDIR=%_prefix/lib/qt3
export QTLIB=$QTDIR/%{_lib}

# search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts hereunder
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


%{?__cputoolize: %{__cputoolize} }
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure	--build=%{_target_platform} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama
#		--enable-final
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl kimdaba Multimedia/Graphics %buildroot/%_datadir/applications/kde/kimdaba.desktop %buildroot/%_menudir/kimdaba

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus


%files -f %{name}.lang
%defattr(-, root, root, 0755)

%_bindir/*
%_menudir/*
%_datadir/applications/kde/*.desktop
%_datadir/apps/kimdaba/default-setup
%_datadir/apps/kimdaba/*.rc
%_datadir/apps/kimdaba/tips

%dir %_datadir/apps/kimdaba/
%dir %_datadir/apps/kimdaba/pics/
%_datadir/apps/kimdaba/pics/*.png
%_datadir/apps/kimdaba/pics/*.jpg

%dir %_datadir/apps/kimdaba/demo/
%_datadir/apps/kimdaba/demo/*.jpg
%_datadir/apps/kimdaba/demo/*.xml

%dir %_datadir/apps/kimdaba/demo/CategoryImages/
%_datadir/apps/kimdaba/demo/CategoryImages/*.jpg
#%_datadir/apps/kimdaba/demo/CategoryImages/*.xml

%dir %_datadir/apps/kimdaba/themes/
%dir %_datadir/apps/kimdaba/themes/blue/
%_datadir/apps/kimdaba/themes/blue/*.html
%_datadir/apps/kimdaba/themes/blue/*.theme
%_datadir/apps/kimdaba/themes/blue/*.css

%dir %_datadir/apps/kimdaba/themes/rounded/
%_datadir/apps/kimdaba/themes/rounded/*.png
%_datadir/apps/kimdaba/themes/rounded/*.html
%_datadir/apps/kimdaba/themes/rounded/*.theme
%_datadir/apps/kimdaba/themes/rounded/*.css


%dir %_datadir/apps/kimdaba/themes/grey/
%_datadir/apps/kimdaba/themes/grey/*


%_datadir/mimelnk/application/*.desktop

%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/video.png
%_datadir/apps/kimdaba/icons/hicolor/22x22/actions/key.png


%dir %_datadir/apps/kimdaba/icons/
%dir %_datadir/apps/kimdaba/icons/hicolor/
%dir %_datadir/apps/kimdaba/icons/hicolor/16x16/actions/
%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/ellipsetool.png
%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/linetool.png
%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/recttool.png
%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/selecttool.png
%_datadir/apps/kimdaba/icons/hicolor/16x16/actions/texttool.png


%_datadir/icons/hicolor/*/apps/kimdaba.png


%{_datadir}/doc/HTML/en/kimdaba/*.png
%{_datadir}/doc/HTML/en/kimdaba/*.docbook
%{_datadir}/doc/HTML/en/kimdaba/index.cache.bz2
%{_datadir}/doc/HTML/en/kimdaba/common

%{_datadir}/doc/HTML/da/doc/*.docbook
%{_datadir}/doc/HTML/da/doc/common
%{_datadir}/doc/HTML/da/doc/index.cache.bz2

%{_datadir}/doc/HTML/de/doc/*.docbook
%{_datadir}/doc/HTML/de/doc/common
%{_datadir}/doc/HTML/de/doc/index.cache.bz2

%{_datadir}/doc/HTML/et/doc/*.docbook
%{_datadir}/doc/HTML/et/doc/common
%{_datadir}/doc/HTML/et/doc/index.cache.bz2

%{_datadir}/doc/HTML/fr/doc/*.docbook
%{_datadir}/doc/HTML/fr/doc/common
%{_datadir}/doc/HTML/fr/doc/index.cache.bz2

%{_datadir}/doc/HTML/it/doc/*.png
%{_datadir}/doc/HTML/it/doc/*.docbook
%{_datadir}/doc/HTML/it/doc/common
%{_datadir}/doc/HTML/it/doc/index.cache.bz2

%{_datadir}/doc/HTML/nl/doc/*.docbook
%{_datadir}/doc/HTML/nl/doc/common
%{_datadir}/doc/HTML/nl/doc/index.cache.bz2


%{_datadir}/doc/HTML/pt/doc/*.docbook
%{_datadir}/doc/HTML/pt/doc/common
%{_datadir}/doc/HTML/pt/doc/index.cache.bz2

%{_datadir}/doc/HTML/ru/doc/*.docbook
%{_datadir}/doc/HTML/ru/doc/common
%{_datadir}/doc/HTML/ru/doc/index.cache.bz2


%{_datadir}/doc/HTML/sv/doc/*.png
%{_datadir}/doc/HTML/sv/doc/*.docbook
%{_datadir}/doc/HTML/sv/doc/common
%{_datadir}/doc/HTML/sv/doc/index.cache.bz2

%changelog
* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1-1mdk
- New release 2.1

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-2mdk
- Fix menu

* Thu Nov 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-1mdk
- 2.0

* Mon Aug 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-8mdk
- Rebuild for missing package

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1-6mdk
- fix buildrequires
- add minimal, but still better description

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-5mdk
- Rebuild 

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1-4mdk
- fix buildrequires

* Thu Apr 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-3mdk
- Patch from gbeauchesne@mandrakesoft.com fix build on amd64

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-2mdk
- Fix destlint

* Fri Feb 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-3mdk
- Rebuild

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Add menu entry

* Tue Dec 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Wed Dec 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- Initial package

